﻿using System.Collections.Generic;
using System.Web.Mvc;
using CDaysDemo.Customizations;

namespace CDaysDemo
{
    public static class CustomizationsConfig
    {
        internal static void RegisterCustomizations()
        {
            Bootstrapper.Initialise();

            ModelMetadataProviders.Current = new ConfigurableModelMetadataProvider();

            ModelBinders.Binders[typeof(List<string>)] = new SplitStringModelBinder();
        }
    }
}