﻿using System.Collections.Generic;
using System.Linq;
using System.Web.Http;
using System.Web.Http.Tracing;
using System.Web.Mvc;
using WebApiDemo.Tracing;

namespace WebApiDemo.Controllers
{
    public class TracesController : Controller
    {
        public ActionResult Index()
        {
            List<TraceRecord> model = null;

            MemoryTracerWriter tracer = GlobalConfiguration.Configuration.Services.GetTraceWriter() as MemoryTracerWriter;
            if (tracer != null)
            {
                model = tracer.Traces.ToList();
            }

            return View(model ?? new List<TraceRecord>());
        }

    }
}
