﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Web.Http;
using WebApiDemo.Models;

namespace WebApiDemo.Controllers
{
    public class PeopleServicesController : ApiController
    {
        /// <summary>
        /// Returns a list of people
        /// </summary>
        /// <returns>The list of people</returns>
        public IEnumerable<Person> GetAll()
        {
            return null;
        }

        /// <summary>
        /// Gets a person given his id
        /// </summary>
        /// <param name="id">The identifier</param>
        /// <returns>The corresponding person</returns>
        public HttpResponseMessage Get(int id)
        {
            bool found = true;

            if (found)
                this.Request.CreateResponse(HttpStatusCode.OK, new Person());
            else
                this.Request.CreateErrorResponse(HttpStatusCode.NotFound, "Entity not found");

            return null;
        }

        /// <summary>
        /// Inserts a person
        /// </summary>
        /// <param name="entity">The person</param>
        /// <returns>The newly created person</returns>
        public Person Post(Person entity)
        {
            return null;
        }

        /// <summary>
        /// Modifies a person
        /// </summary>
        /// <param name="id">The identifier</param>
        /// <param name="entity">The person</param>
        /// <returns>the modified person</returns>
        public Person Put([FromUri]int id, [FromBody]Person entity)
        {
            return null;
        }
    }
}
